# Get Folder Metadata

`GET /folders/{folderId}`

Returns metadata for an accessible, non-deleted folder.
## Authentication

Use one of the following authentication alternatives:

- **API token** (`bearerToken`) : Send a named API token in the Authorization header. Send it in the `Authorization: Bearer <token>` header.
- **Better Auth browser session** (`browserSession`) : Use the Better Auth session cookie from a signed-in browser session. Send it in the `better-auth.session_token` cookie.
## Token permissions

API tokens must include `pages:read`.
## Parameters

- `folderId` (path, required): The UUID of the folder.
## Responses

### 200

Folder metadata.


### `application/json`

```json
{
  "id": "00000000-0000-0000-0000-000000000000",
  "parentId": "00000000-0000-0000-0000-000000000000",
  "name": "string",
  "icon": "string",
  "ownerId": "00000000-0000-0000-0000-000000000000",
  "permission": "view",
  "createdAt": "string",
  "updatedAt": "string"
}
```

### 403

The API token is missing a required scope: pages:read.


### `application/json`

```json
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
```
